Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deScene_priv.hpp File Reference

private stuff for deScene More...

`#include "deScene.hpp"`
`#include "deOctree.hpp"`
`#include "deFileSystem.hpp"`
`#include "deBST.hpp"`
`#include "dePolyABT.hpp"`
`#include "deWorld_Helper.hpp"`
`#include "deObjectTree.hpp"`

Include dependency graph for deScene_priv.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | deCollision
class | deSceneABT
class | deSceneActor
class | deSceneAnimatedMesh
class | deSceneLight
struct | RoomEntry
struct | cull_sphere_t
class | deSceneGraph
class | deSceneObject
class | deSceneRoom
class | deSceneSky
class | deSceneStaticMesh
class | deSceneTerrain
struct | deTerrainGMMChunk
struct | deTerrainGMMQuadrant
## Functions
deBoolean | IdeSceneRoom_Initialize ()
deBoolean | IdeSceneObject_Initialize ()
void | IdeSceneRoom_ShutDown ()
void | IdeSceneObject_ShutDown ()
## Variables
IdeVertexBuffer * | s_AABB_VB
IdeVertexBuffer * | s_OBB_VB

## Detailed Description

private stuff for deScene

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Mar 2002

Author:
  Assassin

Remarks:
  Creation

Date:
  Mar 2003

Author:
  Masterg

Remarks:
  Terrain addition

## Function Documentation

deBoolean IdeSceneObject_Initialize | ( |  | ) |

void IdeSceneObject_ShutDown | ( |  | ) |

deBoolean IdeSceneRoom_Initialize | ( |  | ) |

void IdeSceneRoom_ShutDown | ( |  | ) |

## Variable Documentation

IdeVertexBuffer* s_AABB_VB

IdeVertexBuffer* s_OBB_VB